Bug 18675 - Translatability: Get rid of [%% in translation for csv-profiles.tt
Summary: Translatability: Get rid of [%% in translation for csv-profiles.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-26 09:06 UTC by Marc Véron
Modified: 2017-07-31 11:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18675: Translatability: Get rid of [%% in translation for csv-profiles.tt (1.69 KB, patch)
2017-05-26 09:11 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18675: Translatability: Get rid of [%% in translation for csv-profiles.tt (1.77 KB, patch)
2017-06-05 20:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-26 09:06:29 UTC
Translation tool for file csv-profiles.tt picks following line:
%s [%% IF csv_profile.encoding == encoding OR NOT csv_profile AND encoding == 'utf8' %%] 
This is due to a line break inside a template directive.
Comment 1 Marc Véron 2017-05-26 09:11:14 UTC
Created attachment 63732 [details] [review]
Bug 18675: Translatability: Get rid of [%% in translation for csv-profiles.tt

Translation tool for file csv-profiles.tt picks following line:
%s [%% IF csv_profile.encoding == encoding OR NOT csv_profile AND encoding == 'utf8' %%]
It is is due to a line break inside a template directive. This patch removes it.

To test:
- Verify that code change makes sense
- Apply patch
- Verify that csv exports behave as before
Comment 2 Jonathan Druart 2017-05-26 15:05:06 UTC
I have added a check to our QA script:

  commit 594843834db69745d4bd0debc1dfb71433542500
    TT tags should not be defined on several lines
    That breaks our translate script
    See bug 18675.
Comment 3 Marc Véron 2017-05-26 15:55:50 UTC
(In reply to Jonathan Druart from comment #2)
> I have added a check to our QA script:
> 
>   commit 594843834db69745d4bd0debc1dfb71433542500
>     TT tags should not be defined on several lines
>     That breaks our translate script
>     See bug 18675.

Great!
Comment 4 Jonathan Druart 2017-06-05 20:16:48 UTC
Created attachment 63998 [details] [review]
Bug 18675: Translatability: Get rid of [%% in translation for csv-profiles.tt

Translation tool for file csv-profiles.tt picks following line:
%s [%% IF csv_profile.encoding == encoding OR NOT csv_profile AND encoding == 'utf8' %%]
It is is due to a line break inside a template directive. This patch removes it.

To test:
- Verify that code change makes sense
- Apply patch
- Verify that csv exports behave as before

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-06-05 20:18:23 UTC
Trivial, skipping QA.
Comment 6 Jonathan Druart 2017-06-06 19:04:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-12 09:02:12 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 8 Katrin Fischer 2017-06-13 05:42:58 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 9 Mason James 2017-07-31 11:20:11 UTC
Pushed to 16.05.x, for 16.05.15 release